selenium-setup [![Build Status](https://travis-ci.org/firstopinion/selenium-setup.png)](https://travis-ci.org/firstopinion/selenium-setup.js)
==============

Package to install and start standalone selenium server (**for Ubuntu**).

* The selenium server is written in Java. The `install` method will check for an existing java install. If one is not found, `openjdk-7-jre-headless` will be installed by default.
* The `install` will download from `https://selenium.googlecode.com/files/selenium-server-standalone-2.35.0.jar` by default.
* Both of these defaults can be changed using the `config` method (example below). 

Usage
------------

**Require**

    var selenium = require('selenium-steup');

**Config (not required. defaults shown below)**

    selenium.configure({
        seleniumSrc: 'https://selenium.googlecode.com/files/selenium-server-standalone-2.35.0.jar',
        javaPkg: 'openjdk-7-jre-headless'
    });

**Install**
  
    selenium.install(function (err) {
        if (err) { return console.log(err) }
        selenium.startServer();
    });


Test
----

### Using Vagrant

If you are developing on ubuntu, skip to the "Run Tests" section below.

#### Install Dependencies

1. **Virtual Box:** [https://www.virtualbox.org/wiki/downloads](http://https://www.virtualbox.org/wiki/downloads)

2. **Ruby >= 1.9:** [http://octopress.org/docs/setup/rvm/](http://octopress.org/docs/setup/rvm/)

3. **Vagrant:** [http://downloads.vagrantup.com/](http://downloads.vagrantup.com/)

4. **Berkshelf:** `gem install berkshelf`

5. **Berkshelf Plugin:** `vagrant plugin install vagrant-berkshelf`

#### Remote into VM Working Dir

More documentation on Vagrant can be found at [http://docs.vagrantup.com/v2/](http://docs.vagrantup.com/v2/)

1. `vagrant up`

2. `vagrant ssh`

3. `cd /vagrant`

### Run Tests

You will need superuser privileges to run the tests

1. `npm install --no-bin-links`

2. `sudo npm test`


License
-------
The MIT License (MIT)
Copyright (c) 2013 First Opinion

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.